#!/bin/sh
# scripted by JoungKyun Kim <http://www.oops.org>
# This script follows BPL License

ftpd=$(netstat -anpt | grep ":21 " | grep ESTABLISHED | wc -l | sed 's/ //g')
[ "${ftpd}" = "" ] && ftpd=0
ftpd=$((${ftpd} * 2))
httpd=$(netstat -anpt | grep ":80" | wc -l | sed 's/ //g')
qmail=$(netstat -anpt | grep ":25" | wc -l | sed 's/ //g')
sshd=$(netstat -anpt | grep ":22" | wc -l | sed 's/ //g')
imap=$(netstat -anpt | grep ":143" | wc -l | sed 's/ //g')
#imaps=$(netstat -anpt | grep ":993" | wc -l | sed 's/ //g')

mysqlchk=$(whereis mysql | sed 's/^mysql://g')
if [ -z "$mysqlchk" ]; then
  mysql=0
else
  mysql=0
  #mysql=$(( $(mysql -e "show processlist" | wc -l) - 1 ))
fi

if [ -n "${1}" ]; then
  echo "httpd: ${httpd}"
  echo "mysql: ${mysql}"
  echo "qmail: ${qmail}"
  echo "ftpd: ${ftpd}"
  echo "sshd: ${sshd}"
  echo "imap: ${imap}"
else
  echo "${httpd}"
  echo "${mysql}"
  echo "${qmail}"
  echo "${ftpd}"
  echo "${sshd}"
  echo "${imap}"
fi
